* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
    @import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');
    font-family: "Roboto", sans-serif;
    font-weight: 500;
    font-style: normal;
}

p {
    padding: 3px;  
    font-size: 0.9vw;
}

textarea {
    resize: none;
}

input, select {
    height: 100%;
    width: 100%;
    padding-inline-start: 5px;
}

body {
    width: 100%;
    height: 100vh;
    padding: 10px; 
}

.container-error {
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;

}
.pesquisa-container {
    margin-bottom: 10px;
}

.container-popup {
    position: absolute;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
}

.container-popup-content {
    background-color: #104370;
    color: #ffffff;
    width: 50%;
    height: 20%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 10px;
    border: 5px solid grey;
}

.container-popup-choises {
    width: 30%;
    display: flex;
    justify-content: space-between;
}

.container-popup-choises a {
    width: 100px;
    background-color: gray;
    padding-inline: 15px;
    padding-block: 5px;
    text-decoration: none;
    color: #ffffff;
    font-weight: 600;
    text-align: center;
    transition: 0.5s;
}

.container-popup-choises a:nth-child(1):hover {
    background-color: green;
}

.container-popup-choises a:nth-child(2):hover {
    background-color: red;
} 

.pesquisa-container form {
    display: flex;
}

.container-cadastro-quimico {
    margin-top: 10px;
    position: fixed;
    bottom: 10px;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 100%;
    width: 50px;
    height: 50px;
    background-color: #104370;
    z-index: 10;
}

.lista-container-tabela-acoes {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
    height: 100%;
    border: none;
    padding-inline: 10px;
}

.lista-container-tabela-acoes a {
    font-size: 20px;
    text-decoration: none;
    color: black;    
}

.container-cadastro-quimico a{
    color: #ffffff;
    text-decoration: none;
    padding: 5px;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 40px;
}

.pesquisa-container form input {
    height: 30px;
}

.pesquisa-container form input:nth-child(1){
    width: 90%;
    padding-inline: 10px;
}

.container-quimico-ficha-armazenagem-temp-umi {
    width: 100%;
    display: flex;
}

.container-quimico-ficha-armazenagem ul li p textarea {
    width: 100%;
    padding: 5px;
}

.container-quimico-ficha-armazenagem-temp-umi section{
    width: 50%;
}

.container-quimico-ficha-armazenagem-normas {
    padding: 10px;
    background-color: purple;
    transition: 0.4s;
}

.container-quimico-ficha-armazenagem-normas:hover {
    background-color: rgb(92, 34, 92);
}

.container-quimico-ficha-armazenagem-normas a {
    text-decoration: none;
    color: #ffffff;
}

.pesquisa-container form input:nth-child(2){
    width:10%;
    background-color: #104370;
    color: #ffffff;
    cursor: pointer;
}

.container-error img {
    width: 50%;
}

.lista-container {
    width: 100%;
    margin-top: 10px;
}

.lista-container .lista-container-tabela {
    width: 100%;
}

.lista-container .lista-container-tabela, thead {
    height: 40px;
}

.lista-container .lista-container-tabela tbody tr{
    height: 30px;
}

.lista-container .lista-container-tabela thead {
    background-color: #104370;
    color: #ffffff;
}

.lista-container-tabela-ncp {
    padding-inline: 10px;
}

.lista-container .lista-container-tabela, thead, tbody, tr, td {
    border: 1px solid black;
    border-collapse: collapse;
    text-align: center;
}

.container-quimico-fichas {
    height: 100%;
    display: flex;
    flex-direction: column;
    gap: 40px;
}

.container-quimico-fichas-title {
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 60px;
    border-top: 5px solid grey;
    border-bottom: 5px solid grey;
    gap: 10px;
}

.container-quimico-fichas-title img {
    width: 60px;
}

.container-quimico-ficha-lado-esquerdo {
    display: flex;
    height: 50%;
    gap: 15px;
    padding: 10px;
}

.container-quimico-ficha-lado-direito {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    width: 50%;
    z-index: 20;
    padding: 10px;
}

.container-quimico-ficha-lado-esquerdo .container-quimico-ficha-imagem img {
    width: 65%;
    z-index: 25;
    pointer-events: none !important;
}

.container-quimico-ficha-infos-riscos {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.container-quimico-ficha-riscos {
    height: 48%;
}

.container-quimico-ficha-infos-riscos, .container-quimico-ficha-imagem  {
    width: 50%;
}

.container-quimico-ficha-imagem {
    display: flex;
    justify-content: center;
    align-items: center; 
    flex-direction: column;
    gap: 10px;
    width: 50%;
}

.container-quimico-ficha-imagem .linkteste {
    display: flex;
    width: 80%;
    height: 25px;
}

.container-quimico-ficha-imagem input {
    height: initial;
    width: 100%;
}

.container-quimico-ficha-armazenagem {
    height: 100%;
    width: 100%;
}

.container-quimico-ficha-armazenagem-li {
    width: 100%;
}

.container-quimico-ficha-armazenagem-li li:nth-child(2) p{
    text-align: left;
}

.container-quimico-ficha-armazenagem ul {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: center;
    list-style: none;
}

.container-quimico-ficha-armazenagem ul li {
    border: 1px solid black;
    width: 100%;
    text-align: center;
}

#container-quimico-ficha-imagem-produto {
    width: 90%;
    /* border: 3px solid grey; */
}

.container-quimico-ficha-armazenagem-topico {
    background-color: green;
    color: #ffffff;
}

.container-quimico-ficha-infos ul {
    display: flex;
    flex-direction: column;
    gap: 10px;
    width: 100%;
}

.container-quimico-ficha-infos ul li {
    display: flex;
    gap: 5px;
}

.container-quimico-ficha-infos ul li p {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: left;
}

.container-quimico-ficha-infos ul li p:first-child {
    background-color: grey;
    color: #ffffff;
    width: 350px;
    text-align: center;
    border: 1px solid black;
}

.container-quimico-ficha-infos ul li p:nth-child(2) {
    width: 70%;
    text-align: start;
    border: 1px solid black;
    padding-inline-start: 10px;
}

#container-quimico-ficha-info-ncp {
    background-color: grey;
    color: #ffffff;
}

.container-quimico-ficha-riscos {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.container-quimico-ficha-riscos ul {
    width: 48%;
    list-style: none;
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.container-quimico-ficha-riscos ul li {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.container-quimico-ficha-riscos ul li p {
    width: 100%;
    text-align: center;
    border: 1px solid black;
}

.container-quimico-ficha-riscos-saude {
    background-color: rgb(33, 33, 212) !important;
    color: #ffffff;
}

.container-quimico-ficha-riscos-reatividade {
    background-color: gold !important;
}

.container-quimico-ficha-riscos-inflamabilidade {
    background-color: red !important;
    color: #ffffff;
}

.container-quimico-ficha-riscos-periculosidade {
    background-color: #ffffff !important;
    color: black !important;
}

.container-quimico-ficha-armazenagem-title {
    background-color: grey;
    color: #ffffff;
}

.container-submit-button {
    width: 90%;
    height: 40px;
    position: fixed;
  	top: 10px;
    z-index: 100;
    display: flex;
    justify-content: center;
    align-items: center;
}

.container-submit-button input {
    width: 100px;
    background-color: #104370;
    color: #ffffff;
    cursor: pointer;
}

.container-quimico-ficha-infos {
    display: flex;
}

.login {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.login__form {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 5px;
    width: 20%;
}

.login__input {
    height: 30px;
    width: 100%;
}

.login__btn {
    cursor: pointer;
    background-color: #104370;
    color: #ffffff;
    height: 40px;
}

.login__message {
    color: red;
    padding-inline: 15px;
}

.login__icon {
    font-size: 80px;
    color: #104370;
}

#container-quimico-ficha-info-open-table {
    width: 100% !important;
    background-color: red;
}

#container-quimico-ficha-info-open-table p {
    width: 100%;
    cursor: pointer;
}